OMSimulatorLib The OMSimulator project is a FMI-based co-simulation environment.

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
oms::SignalDerivative Class Reference

`#include <SignalDerivative.h>`

## Public Member Functions
| SignalDerivative ()
| SignalDerivative (double der)
| SignalDerivative (unsigned int order, fmiHandle *fmu, fmi2ValueReference vr)
| ~SignalDerivative ()
| SignalDerivative (const SignalDerivative &rhs)
SignalDerivative & | operator= (const SignalDerivative &rhs)
const unsigned int | getMaxDerivativeOrder () const
const double * | getDerivatives () const
oms_status_enu_t | setRealInputDerivatives (fmiHandle *fmu, fmi2ValueReference vr) const
| operator std::string () const

## Private Attributes
unsigned int | order
double * | values

## Constructor & Destructor Documentation

## ◆ SignalDerivative() [1/4]

oms::SignalDerivative::SignalDerivative | ( |  | ) |

## ◆ SignalDerivative() [2/4]

oms::SignalDerivative::SignalDerivative | ( | double | der | ) |

## ◆ SignalDerivative() [3/4]

oms::SignalDerivative::SignalDerivative | ( | unsigned int | order,
|  | fmiHandle * | fmu,
|  | fmi2ValueReference | vr
| ) |  |

## ◆ ~SignalDerivative()

oms::SignalDerivative::~SignalDerivative | ( |  | ) |

## ◆ SignalDerivative() [4/4]

oms::SignalDerivative::SignalDerivative | ( | const SignalDerivative & | rhs | ) |

## Member Function Documentation

## ◆ getDerivatives()

const double * oms::SignalDerivative::getDerivatives | ( |  | ) | const
| inline

## ◆ getMaxDerivativeOrder()

const unsigned int oms::SignalDerivative::getMaxDerivativeOrder | ( |  | ) | const
| inline

## ◆ operator std::string()

oms::SignalDerivative::operator std::string | ( |  | ) | const

## ◆ operator=()

oms::SignalDerivative & oms::SignalDerivative::operator= | ( | const SignalDerivative & | rhs | ) |

## ◆ setRealInputDerivatives()

oms_status_enu_t oms::SignalDerivative::setRealInputDerivatives | ( | fmiHandle * | fmu,
|  | fmi2ValueReference | vr
| ) |  | const

Here is the caller graph for this function:

## Member Data Documentation

## ◆ order

unsigned int oms::SignalDerivative::order
| private

## ◆ values

double* oms::SignalDerivative::values
| private

The documentation for this class was generated from the following files:

- /var/lib/jenkins1/ws/OMSimulator_PR-1619/src/OMSimulatorLib/SignalDerivative.h
- /var/lib/jenkins1/ws/OMSimulator_PR-1619/src/OMSimulatorLib/SignalDerivative.cpp